Skip to navigation

GetSipRegistrations

View as Markdown

Get active SIP registrations.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support.

Example request: Get all active sip registrations.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sip_registration_idintegerOptional
The SIP registration ID
sip_usernamestringOptional
The SIP user name to filter
deactivatedbooleanOptional
Whether to show the frozen SIP registrations only
successfulbooleanOptional
Whether to show the successful SIP registrations only
is_persistentbooleanOptional
Whether the SIP registration is persistent to filter
application_idlist of integersOptional

The application ID list separated by semicolons (;) to filter. Can be used instead of application_name

application_namelist of stringsOptional

The application name list separated by semicolons (;) to filter. Can be used instead of application_id

is_bound_to_applicationbooleanOptional
Whether SIP registration bound to an application
rule_idlist of integersOptional

The rule ID list separated by semicolons (;) to filter. Required unless rule_name is provided.

rule_namelist of stringsOptional

The rule name list separated by semicolons (;) to filter. Required unless rule_id is provided.

user_idlist of integersOptional

The user ID list separated by semicolons (;) to filter. Required unless user_name is provided.

proxylist of stringsOptional

The list of proxy servers to use, divided by semicolon (;)

in_progressbooleanOptional
Whether SIP registration is still in progress
status_codestringOptional

The list of SIP response codes. The code1:code2 means a range from code1 to code2 including; the code1;code2 meanse either code1 or code2. You can combine ranges, e.g., code1;code2:code3

countintegerOptional
The max returning record count
offsetintegerOptional

The first N records are skipped in the output

Response

Successful response
resultlist of objectsOptional
Active SIP registrations
countintegerOptional
Count rows